<?php

namespace GunTab;

use Dragon\Hooking\AdminPluginHooks as DragonAdminPluginHooks;
use Dragon\Url;

class AdminPluginHooks extends DragonAdminPluginHooks
{
	protected static $actions = [
		'woocommerce_payment_gateways' => [
			[GunTabPaymentGateway::class, 'register'],
		],
	];
	
	public static function onActivation()
	{
		parent::onActivation();
		Rest::setWebhookKey();
	}
	
	protected static function getPluginPageLinks() {
		return [
			'Plugin Settings' => Url::getAdminMenuLink('guntab-settings'),
			'Gateway Settings' => '/wp-admin/admin.php?page=wc-settings&tab=checkout&section=guntab',
		];
	}
}
