<?php

namespace GunTab\Pages;

use Dragon\Abstracts\AdminOptionsAbstract;

class AdminOptions extends AdminOptionsAbstract
{
	protected array $sections = [
		'Plugin Settings' => [
			'guntab_remove_tables_on_deactivation'	=> [
				'type'		=> 'select',
				'required'	=> true,
				'label'		=> 'Remove all plugin tables on deactivation?',
				'options'	=> [
					'no'	=> 'No (Recommended)',
					'yes'	=> 'Yes',
				],
			],
			'guntab_website_is_public'	=> [
				'type'		=> 'select',
				'required'	=> true,
				'label'		=> 'Is your website currently public?',
				'description' => 'If you\'re running this plugin on a local ' .
								'machine to try it out, please set this to ' .
								'"No" so that your requests to GunTab don\'t ' .
								'fail.',
				'options'	=> [
					'yes'	=> 'Yes',
					'no'	=> 'No',
				],
			],
			'guntab_woocommerce_status_before_redirect_to_escrow'	=> [
				'type'		=> 'select',
				'required'	=> true,
				'label'		=> 'Order Escrow Status',
				'description' => 'What shall we change the Woocommerce order ' .
					'status to, when the buyer gets redirected to ' .
					'place funds in escrow?',
				'options'	=> [
				],
			],
			'guntab_woocommerce_status_payment_in_escrow'	=> [
				'type'		=> 'select',
				'required'	=> true,
				'label'		=> 'Order Escrow Status',
				'description' => 'What shall we change the Woocommerce order ' .
					'status to, when the buyer has placed their funds in escrow?',
				'options'	=> [
				],
			],
		],
	];
	
	protected function setup() {
		$statuses = get_post_stati([], 'objects');
		foreach ($statuses as $status => $data) {
			if (strpos($status, 'wc-') !== 0) {
				continue;
			}
			$this->sections['Plugin Settings']
				['guntab_woocommerce_status_before_redirect_to_escrow']
				['options']
				[$status] = $data->label;
			
			$this->sections['Plugin Settings']
				['guntab_woocommerce_status_payment_in_escrow']
				['options']
				[$status] = $data->label;
		}
	}
}
