<?php

namespace GunTab\Pages;

use Dragon\Abstracts\PageAbstract;
use Dragon\View;
use Dragon\Input;
use GunTab\Rest;

class AdminTools extends PageAbstract {
	protected $pageData = [];
	
	public function render()
	{
		$this->maybeRegenerateWebhookUrl();
		return View::displayPage('AdminTools', $this->pageData);
	}
	
	public function maybeRegenerateWebhookUrl() {
		$input = new Input();
		if (empty($input->post('guntab_regenerate_webhook_url'))) {
			return;
		}
		
		Rest::setWebhookKey(true);
		$webhookUrl = Rest::getWebhookUrl();
		$this->pageData['notice'] = static::makeNotice(
			'notice-info',
			'Your new webhook URL is <code>' . $webhookUrl . '</code>.' .
			'Please remember to update it on your GunTab dashboard.'
		);
	}
}
