<?php

namespace GunTab;

use Dragon\Abstracts\RestAbstract;

class Rest extends RestAbstract {
	protected static $routes = [
		'wc/v3' => [
			'guntab' => [
				'methods' => \WP_REST_Server::CREATABLE,
				'callback' => [GunTabWebhook::class, 'handleGuntabPaymentWebhook'],
				'permission_callback' => '__return_true',
			],
		],
	];
	
	public static function setWebhookKey(bool $force = false) {
		if ($force || empty(get_option('guntab_webhook_key', null))) {
			update_option('guntab_webhook_key', hash('sha256', openssl_random_pseudo_bytes(32)));
		}
	}
	
	public static function getWebhookUrl() {
		$endpointUrl = get_rest_url(null, '/wc/v3/guntab');
		$webhookKey = get_option('guntab_webhook_key', null);
		
		return $endpointUrl . '?token=' . $webhookKey;
	}
}
