<?php

use Tests\TestCase;
use GunTab\Api\GunTab\Client;
use GunTab\Api\GunTab\RequestObjects\Listing;
use GunTab\Api\GunTab\RequestObjects\Invoice;

class ClientTest extends TestCase {
	public function testCanHandleErrorsGracefully() {
		$devMode = true;
		$guntabClient = new Client('bad-key', $devMode);
		
		$listing = new Listing();
		$listing->url = 'https://example.com';
		$listing->title = 'Unit test created item';
		$listing->quantity = 2;
		$listing->amount_cents = 50000;
		
		$invoice = new Invoice();
		$invoice->shipping_amount_cents = 1000;
		$invoice->amount_cents = 100000;
		$invoice->listings[] = $listing;
		
		$response = $guntabClient->createInvoice($invoice);
		$errors = $guntabClient->getError();
		
		$this->assertNotNull($errors);
		$this->assertNotEmpty($errors->errors);
		$this->assertNull($response);
	}
	
	public function testCanCreateAnInvoice() {
		$devMode = true;
		$guntabClient = new Client('1dced3d7-8368-4ce9-88ae-2fd341c07dbe', $devMode);
		
		$listing = new Listing();
		$listing->url = 'https://example.com';
		$listing->title = 'Unit test created item';
		$listing->quantity = 2;
		$listing->amount_cents = 50000;
		
		$invoice = new Invoice();
		$invoice->shipping_amount_cents = 1000;
		$invoice->amount_cents = 100000;
		$invoice->listings[] = $listing;
		
		$response = $guntabClient->createInvoice($invoice);
		$this->assertNull($guntabClient->getError());
		$this->assertNotNull($response->response_url);
	}
}
