<?php

use Dragon\View;

if (array_key_exists('notice', $pageData)) {
	echo $pageData['notice'];
}

?>
<div class="wrap">
	<h1 class="wp-heading-inline">
	<?php
	
	echo get_admin_page_title();
	
	if (!empty($pageData['create-link'])) {
		?>
		<a class="page-title-action" href="<?= $pageData['create-link']; ?>">
			<strong>Add New</strong>
		</a>
		<?php
	}
	
	?>
	</h1>
	<p><?= $pageData['pageText'] ?></p>
	<?php View::displayPage('Table/TableTop', $pageData); ?>
	<table class="wp-list-table widefat fixed striped pages">
		<thead>
			<tr>
				<?php
				foreach ($pageData['headers'] as $header) {
					echo '<th scope="col">' . $header . '</th>';
				}
				?>
			</tr>
		</thead>
	
		<tbody id="the-list">
			<?php
			
			foreach ($pageData['rows'] as $row) {
				
			?>
			<tr>
				<?php
				foreach ($row as $column) {
					
					if (!empty($column['links'])) {
					
						$links = $column['links'];
						$viewLink = empty($links['view']) ? null : $links['view'];
						$editLink = empty($links['edit']) ? null : $links['edit'];
						$defaultLink = empty($links['view']) ? $editLink : $viewLink;
						
						?>
						<td class="has-row-actions column-primary">
							<strong>
								<?php
								if (empty($defaultLink)) {
									echo $column['data'];
								} else {
									echo '<a href="' . $defaultLink['link'] . '" class="row-title">' .
											$column['data'] .
											'</a>';
								}
								?>
							</strong>
							<div>
								<?php
								
									$i = 1;
									foreach ($links as $linkName => $linkInfo) {
										
										$class = empty($linkInfo['class']) ? $linkName : $linkInfo['class'];
										$pipe = $i === count($links) ? "" : "|";
										
										$linkText = empty($linkInfo['name']) ? ucwords($linkName) : $linkInfo['name'];
										
										?>
										<span class="<?= $class; ?>">
											<a href="<?= $linkInfo['link']; ?>"><?= $linkText; ?></a> <?= $pipe; ?>
										</span>
										<?php
										
										$i++;
										
									}
									
								?>
							</div>
						</td>
						<?php
						
					} else {
						
						$data = is_string($column['data']) ? nl2br($column['data']) : $column['data'];
						echo '<td>' . $data . '</td>';
						
					}
					
				}
				?>
			</tr>
			<?php
			}
			
			if (empty($pageData['rows'])) {
				?>
				<tr>
					<td colspan="<?= count($pageData['headers']) ?>">
						Nothing to Display
					</td>
				</tr>
				<?php
			}
			
			?>
		</tbody>
		<tfoot>
			<tr>
				<?php
				foreach ($pageData['headers'] as $header) {
					echo '<th scope="col">' . $header . '</th>';
				}
				?>
			</tr>
		</tfoot>
	</table>
	<?php View::displayPage('Table/TableTop', $pageData); ?>
	<div>
		<h1 class="wp-heading-inline">
		<?php
		
		echo get_admin_page_title();
		
		if (!empty($pageData['create-link'])) {
			?>
			<a class="page-title-action" href="<?= $pageData['create-link']; ?>">
				<strong>Add New</strong>
			</a>
			<?php
		}
		
		?>
		</h1>
	</div>
</div>
