<?php
use Dragon\Input;
$input = new Input();
?>
<div class="tablenav top tabletop">
	<div>
	<form class="search-table" method="get">
		<input type="hidden" name="page" value="<?= $input->get('page') ?>" />
		<?php
		if ($pageData['searchable']) {
			?>
			<p class="search-box">
				<label class="screen-reader-text" for="search-input">Search:</label>
				<input
					value="<?= $input->get('s') ?>"
					type="search"
					id="search-input"
					class="wp-filter-search"
					name="s"
					placeholder="Search..."
				/>
				<input type="submit" id="search-submit" class="button" value="Search" />
			</p>
			<?php
		}
		if ($pageData['dateSeachable']) {
		?>
		<br />
		<br />
		<p class="search-box">
			<label class="screen-reader-text" for="search-input">Search by Date:</label>
			From: <input
					type="date"
					class="wp-filter-search"
					name="date-start"
					value="<?= $input->get('date-start') ?>"
				/>
			To: <input
					type="date"
					class="wp-filter-search"
					name="date-end"
					value="<?= $input->get('date-end') ?>"
				/>
			<input type="submit" class="button" value="Search by Date" />
		</p>
		<?php
		}
		?>
		<p class="search-box-left">
		<?php
		if (!empty($pageData['filters'])) {
			foreach ($pageData['filters'] as $name => $data) {
				?>
					<select name="<?= $name ?>">
						<option value=""><?= $data['label'] ?></option>
						<?php
						foreach ($data['options'] as $value => $displayable) {
							
							$selected = $input->get($name) === $value ? 'selected' : '';
							echo '<option value="' . $value . '" ' . $selected . '>' . $displayable . '</option>';
						}
						?>
					</select>
				<?php
			}
			?>
			<input type="submit" class="button" value="Apply Filters">
		<?php
		}
		foreach ($pageData['actionButtons'] as $buttonName => $value) {
			?>
			<input type="submit" class="button" value="<?= $value ?>" name="<?= $buttonName; ?>" />
			<?php
		}
		?>
		</p>
	</form>
	</div>
	<p>&nbsp;</p>
	<div class="tablenav-pages">
		<span class="displaying-num">
			<?php
			
				$total = count($pageData['rows']);
				if (!empty($pageData['paging']['total'])) {
					$total = $pageData['paging']['total'];
				}
				
				echo number_format($total) . ' ' . ($total === 1 ? 'item' : 'items');
			?>
		</span>
		<?php
		if (!empty($pageData['paging']['last_page'])) {
			
			$paging = $pageData['paging'];
			?>
			<form method="GET" action="<?= $paging['path'] ?>">
				<span class='pagination-links'>
					<?php
					if ($paging['current_page'] > 1) {
						?>
						<a class='first-page button' href='<?= $paging['first_page_url'] ?>'>&laquo;</a>
						<a class='prev-page button' href='<?= $paging['prev_page_url'] ?>'>&lsaquo;</a>
						<?php
					} else {
						?>
						<span class="tablenav-pages-navspan button disabled">&laquo;</span>
	   					<span class="tablenav-pages-navspan button disabled">&lsaquo;</span>
	   					<?php
					}
					?>
					<span class="paging-input">
						<input
							class='current-page'
							id='current-page-selector'
							type='text'
							name='paged'
							value='<?= $paging['current_page'] ?>'
							size='3'
						/>
						<?php
						$get = array_map('stripslashes_deep', $_GET);
						foreach ($get as $key => $val) {
							
							if ($key === 'paged') {
								continue;
							}
							
							echo '<input type="hidden" name="' . $key . '" value="' . $val . '" />';
							
						}
						?>
						<span class='tablenav-paging-text'> of <span class='total-pages'><?= $paging['last_page'] ?></span></span>
					</span>
					<?php
					if ($paging['current_page'] !== $paging['last_page']) {
						?>
						<a class='next-page button' href='<?= $paging['next_page_url'] ?>'>&rsaquo;</a>
						<a class='last-page button' href='<?= $paging['last_page_url'] ?>'>&raquo;</a>
						<?php
					} else {
						?>
						<span class="tablenav-pages-navspan button disabled">&rsaquo;</span>
	   					<span class="tablenav-pages-navspan button disabled">&raquo;</span>
	   					<?php
					}
					?>
				</span>
			</form>
			<?php
			
		}
		?>
	</div>
</div>