<?php

namespace Dragon\Abstracts;

use Dragon\View;
use Dragon\Config;

abstract class AdminOptionsAbstract extends OptionsAbstract
{
	protected $saveButton = null;
	
	protected array $sections = [
		'Plugin Settings' => [
			'remove_tables_on_deactivation'	=> [
				'type'		=> 'select',
				'required'	=> true,
				'label'		=> 'Remove all plugin tables on deactivation?',
				'options'	=> [
					'yes'	=> 'Yes',
					'no'	=> 'No (Recommended)',
				],
			],
		],
	];
	
	public function render()
	{
		$this->setup();
		
		$this->saveButton = Config::$namespace . '_save_settings';
		$this->pageData['sections'] = $this->sections;
		
		$this->setRequiredAndEncryptedFields();
		$this->saveSettings($this->pageData);
		
		View::displayPage('AdminOptions', $this->pageData);
	}
	
	protected function setup() {
		//
	}
	
	private function setRequiredAndEncryptedFields() {
		foreach ($this->sections as $fields) {
			foreach ($fields as $fieldName => $fieldData) {
				if (!empty($fieldData['required'])) {
					$this->requiredFields[] = $fieldName;
				} else {
					$this->optionalFields[] = $fieldName;
				}
				
				if (!empty($fieldData['encrypted'])) {
					$this->encryptedFields[] = $fieldName;
				}
			}
		}
	}
}
