<?php

namespace Dragon\Abstracts;

use Dragon\Config;
use Dragon\ConfigFileNotFoundException;
use Dragon\Email\Email;

abstract class PluginHooksAbstract
{
	protected static $actions = [
		//
	];

	protected static $filters = [
		//
	];

	protected static $dragonActions = [
		'wp_mail_failed' => [
			[Email::class, 'logFailedMailings'],
		],
	];

	public static function init()
	{
		static::$actions = array_merge(static::$dragonActions, static::$actions);

		static::setActions();
		static::setFilters();
	}

	public static function shutdown() {
		try {
			Config::save();
		} catch (ConfigFileNotFoundException $e) {
			// Allow WP to shut down without issues.
		}
	}

	protected static function setActions()
	{
		static::setHooks(static::$actions, 'add_action');
	}

	protected static function setFilters()
	{
		static::setHooks(static::$filters, 'add_filter');
	}

	private static function setHooks(array &$hooks, $callbackName)
	{
		foreach ($hooks as $hook => $callbacks) {

			foreach ($callbacks as $callbackData) {

				$callback = empty($callbackData['callback']) ? $callbackData : $callbackData['callback'];
				$priority = empty($callbackData['priority']) ? 10 : $callbackData['priority'];
				$args = empty($callbackData['args']) ? 1 : $callbackData['args'];
				call_user_func($callbackName, $hook, $callback, $priority, $args);

			}

		}
	}
}
