<?php

namespace Dragon\Abstracts;

use Dragon\User;

abstract class RoleAbstract {
	protected static array $roles = [
// 		'my-role' => [
// 			'name' => 'My Role',
// 			'capabilities' => [
// 				'capability1',
// 				'capability2',
// 			],
// 		],
	];
	
	protected static bool $addAllToAdmin = true;
	
	public static function addRoles() {
		foreach (static::$roles as $role => $roleData) {
			$capabilities = array_merge(['read'], $roleData['capabilities']);
			$capabilitiesEnabled = array_fill(0, count($capabilities), true);
			remove_role($role);
			add_role(
				$role,
				$roleData['name'],
				array_combine($capabilities, $capabilitiesEnabled)
			);
			
			array_shift($capabilities);
			$admin = get_role(User::ROLE_ADMIN);
			foreach ($capabilities as $capability) {
				if (static::$addAllToAdmin) {
					$admin->add_cap($capability);
				} else {
					$admin->remove_cap($capability);
				}
			}
		}
	}
}
