<?php

namespace Dragon\Api;

use GuzzleHttp\Client;
use GuzzleHttp\Exception\RequestException;
use Dragon\Log;

trait GuzzleTrait {
	private ?Client $guzzle = null;
	private ?\stdClass $error = null;
	
	public function getError() : ?\stdClass {
		return $this->error;
	}
	
	public function jsonCall(callable $request) : ?\stdClass {
		$this->error = null;
		try {
			$response = $request();
			return json_decode((string)$response->getBody());
			
		} catch (RequestException $e) {
			Log::info("[ERROR: " . static::class . "] " . $e->getMessage());
			$this->error = json_decode((string)$e->getResponse()->getBody());
			
			return null;
		}
	}
	
}
