<?php

namespace Dragon;

class Core {
	public static function init() {
		Config::init();
		Ignite::fire();
		
		$providers = Config::providers();
		
		if (is_admin()) {
			
			register_activation_hook(Config::$pluginLoaderFile, array($providers['AdminPluginHooks'], 'onActivation'));
			register_deactivation_hook(Config::$pluginLoaderFile, array($providers['AdminPluginHooks'], 'onDeactivation'));
			
			add_action('init', array($providers['AdminPluginHooks'], 'init'));
			
		} else {
			add_action('init', array($providers['FrontEndPluginHooks'], 'init'));
		}
	}
}
