<?php

namespace Dragon\Email;

use Dragon\Log;

class Email {
	public static function logFailedMailings(\WP_Error $error)
	{
		Log::info($error->error_data);
		Log::info($error->errors);
	}
	
	protected static function replaceVars(array $messageVars, string $text) : string {
		return str_replace(array_keys($messageVars), array_values($messageVars), $text);
	}
	
	protected static function batchSend(array $to, string $subject, string $message) {
		foreach ($to as $email) {
			static::send($email, $subject, $message);
		}
	}
	
	protected static function send($to, $subject, $message)
	{
		return wp_mail($to, $subject, $message);
	}
}
