<?php

namespace Dragon\Form;

class DropDown
{
	public static function create(array $data, $selectedValue = null)
	{
		$returnFullHtml = !empty($data['options']);
		$options = $data['options'] ?? $data;
		$out = '';
		
		if ($returnFullHtml) {
			$out .= '<select ';
			foreach ($data['attributes'] as $key => $val) {
				$out .= $key . '="' . $val . '" ';
			}
			$out .= '>';
		}
		
		foreach ($options as $value => $text) {
			
			$selected = '';
			if ($selectedValue !== null && $selectedValue == $value) {
				$selected = 'selected';
			}
			
			$out .= '<option value="' . $value . '" ' . $selected . '>' . $text . '</option>';
			
		}
		
		if ($returnFullHtml) {
			$out .= '</select>';
		}
		
		return $out;
	}
}
