<?php

namespace Dragon;

class Input
{
	private $postRaw = null;
	private $getRaw = null;
	
	public function __construct()
	{
		$this->postRaw = array_map('stripslashes_deep', $_POST);
		$this->getRaw = array_map('stripslashes_deep', $_GET);
	}
	
	public function json() {
		$input = file_get_contents("php://input");
		if (empty($input)) {
			return null;
		}
		
		return json_decode($input);
	}
	
	public function post($key = null, $default = null)
	{
		if (empty($key)) {
			return $this->postRaw;
		}
		
		return !array_key_exists($key, $this->postRaw) ? $default : $this->postRaw[$key];
	}
	
	public function get($key = null, $default = null)
	{
		if (empty($key)) {
			return $this->getRaw;
		}
		
		return !array_key_exists($key, $this->getRaw) ? $default : $this->getRaw[$key];
	}
	
	public function hasPost($key)
	{
		return array_key_exists($key, $this->postRaw);
	}
	
	public function hasGet($key)
	{
		return array_key_exists($key, $this->getRaw);
	}
}
