<?php

namespace Dragon;

use Dragon\Abstracts\PluginHooksAbstract;

class UserProfile extends PluginHooksAbstract
{
	protected $fields = [
		//
	];
	
	protected $optionalFields = [
		//
	];
	
	protected $pageData = [];
	
	protected $input = null;
	
	protected static $instance = null;
	protected static $actions = [];
	
	public static function init()
	{
		$instance = static::make();
		$instance->input = new Input();
		$instance->addActions();
		parent::init();
	}
	
	public static function render()
	{
		$instance = static::make();
		$instance->pageData['userId'] = static::getUserId();
		$instance->pageData['userMeta'] = User::getMeta(null, null, false, $instance->pageData['userId']);
		
		View::displayPage('UserProfile', $instance->pageData);
	}
	
	public static function saveFields($userId)
	{
		$instance = static::make();
		
		$fields = array_merge($instance->fields, $instance->optionalFields);
		foreach ($fields as $field) {
			
			$value = $instance->input->post($field);
			if (!empty($value) || in_array($field, $instance->optionalFields)) {
				User::setMeta($field, $value, $userId);
			}
			
		}
	}
	
	public static function make()
	{
		if (empty(static::$instance)) {
			static::$instance = new static();
		}
		
		return static::$instance;
	}
	
	protected static function getUserId()
	{
		$instance = static::make();
		$userId = $instance->input->get('user_id');
		if (empty($userId) || !ctype_digit($userId)) {
			return get_current_user_id();
		}
		
		return (int)$userId;
	}
	
	protected function getUserProfileClass()
	{
		return UserProfile::class;
	}
	
	protected function getSanitized($key, $default = null)
	{
		if (!empty($this->user->data->{$default})) {
			$default = $this->user->data->{$default};
		} else {
			$default = null;
		}
		
		$value = sanitize_textarea_field($this->input->post($key));
		return empty($value) ? $default : $value;
	}
	
	private function addActions()
	{
		$userProfileClass = $this->getUserProfileClass();
		static::$actions = [
			'show_user_profile'	=> [
				[$userProfileClass, 'render'],
			],
			'edit_user_profile'	=> [
				[$userProfileClass, 'render'],
			],
			'personal_options_update'	=> [
				[$userProfileClass, 'saveFields'],
			],
			'edit_user_profile_update'	=> [
				[$userProfileClass, 'saveFields'],
			],
		];
	}
}
